# studio::Widget_ColorEdit Class Reference

`#include <widget_coloredit.h>`

List of all members.

## Public Member Functions

sigc::signal< void > & | signal_activated ()
sigc::signal< void > & | signal_activate ()
void | on_slider_moved (ColorSlider::Type type, float amount)
void | on_hex_edited ()
sigc::signal< void > & | signal_value_changed ()
void | activated ()
void | activate ()
void | set_value (const synfig::Color &data)
const synfig::Color & | get_value ()
synfig::Color | get_value_raw ()
void | set_has_frame (bool x)
void | set_digits (int x)
| Widget_ColorEdit ()
| ~Widget_ColorEdit ()

## Protected Member Functions

void | on_value_changed ()

## Constructor & Destructor Documentation

Widget_ColorEdit::Widget_ColorEdit | ( |  | ) |

References _, ATTACH_SPIN_BUTTON, on_hex_edited(), on_value_changed(), set_digits(), set_value(), and SLIDER_ROW.

Widget_ColorEdit::~Widget_ColorEdit | ( |  | ) |

## Member Function Documentation

void Widget_ColorEdit::on_value_changed | ( |  | ) | `[protected]`

References activate(), get_value_raw(), studio::ColorSlider::set_color(), and studio::Widget_Color::set_value().

Referenced by Widget_ColorEdit().

sigc::signal<void>& studio::Widget_ColorEdit::signal_activated | ( |  | ) | `[inline]`

Referenced by studio::Dialog_Gradient::Dialog_Gradient().

sigc::signal<void>& studio::Widget_ColorEdit::signal_activate | ( |  | ) | `[inline]`

Referenced by studio::Widget_ValueBase::Widget_ValueBase().

void Widget_ColorEdit::on_slider_moved | ( | ColorSlider::Type | type,
|  | float | amount |
| ) |  |  |

References studio::ColorSlider::adjust_color(), get_value_raw(), set_value(), and studio::ColorSlider::TYPE_B.

void Widget_ColorEdit::on_hex_edited | ( |  | ) |

References get_value_raw(), and set_value().

Referenced by Widget_ColorEdit().

sigc::signal<void>& studio::Widget_ColorEdit::signal_value_changed | ( |  | ) | `[inline]`

Referenced by studio::Dialog_Gradient::Dialog_Gradient().

void studio::Widget_ColorEdit::activated | ( |  | ) | `[inline]`

void studio::Widget_ColorEdit::activate | ( |  | ) | `[inline]`

Referenced by on_value_changed().

void Widget_ColorEdit::set_value | ( | const synfig::Color & | data | ) |

References studio::ColorSlider::set_color(), and studio::Widget_Color::set_value().

Referenced by on_hex_edited(), on_slider_moved(), studio::Dialog_Color::set_color(), studio::Widget_ValueBase::set_value(), and Widget_ColorEdit().

const synfig::Color & Widget_ColorEdit::get_value | ( |  | ) |

Referenced by studio::Dialog_Color::get_color(), and studio::Widget_ValueBase::get_value().

synfig::Color Widget_ColorEdit::get_value_raw | ( |  | ) |

Referenced by on_hex_edited(), on_slider_moved(), and on_value_changed().

void Widget_ColorEdit::set_has_frame | ( | bool | x | ) |

References SPINBUTTON_WIDTH.

Referenced by studio::Widget_ValueBase::inside_cellrenderer().

void Widget_ColorEdit::set_digits | ( | int | x | ) |

References SPINBUTTON_WIDTH.

Referenced by Widget_ColorEdit().

The documentation for this class was generated from the following files:

- widget_coloredit.h
- widget_coloredit.cpp